Bug 1351971 - [py3c] tests fail on big endian arches
Summary: [py3c] tests fail on big endian arches
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: py3c
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Viktorin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-07-01 09:32 UTC by Dan Horák
Modified: 2016-07-18 20:52 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-12 15:03:52 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-07-01 09:32:21 UTC
The build of py3c fails on big endian arches (ppc64, s390x) due a failure in the test-suite

...
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.qC5UYY
+ umask 022
+ cd /builddir/build/BUILD
+ cd py3c-0.6
+ export 'CFLAGS=-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64'
+ CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64'
+ make -j4 test-python
cd test; rm -rvf build ; python setup.py build
running build
running build_ext
building 'test_py3c' extension
creating build
creating build/temp.linux-ppc64-2.7
gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -D_GNU_SOURCE -fPIC -fwrapv -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -fPIC -I../include -I/usr/include/python2.7 -c test_py3c.c -o build/temp.linux-ppc64-2.7/test_py3c.o -Werror -Wall
creating build/lib.linux-ppc64-2.7
gcc -pthread -shared -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 build/temp.linux-ppc64-2.7/test_py3c.o -L/usr/lib64 -lpython2.7 -o build/lib.linux-ppc64-2.7/test_py3c.so
PYTHONPATH=test/build/lib.linux-ppc64-2.7 python test -v
test_get_context (__main__.CapsuleChecks) ... ok
test_get_destructor (__main__.CapsuleChecks) ... ok
test_get_name (__main__.CapsuleChecks) ... ok
test_get_pointer (__main__.CapsuleChecks) ... ok
test_get_pointer_nullname (__main__.CapsuleChecks) ... ok
test_import (__main__.CapsuleChecks) ... ok
test_invalid (__main__.CapsuleChecks) ... ok
test_invalid_operations (__main__.CapsuleChecks) ... ok
test_set_context (__main__.CapsuleChecks) ... ok
test_setdestructor (__main__.CapsuleChecks) ... ok
test_setname (__main__.CapsuleChecks) ... ok
test_setpointer (__main__.CapsuleChecks) ... ok
test_type (__main__.CapsuleChecks) ... ok
test_valid (__main__.CapsuleChecks) ... ok
test_bad_type (__main__.FileShimChecks) ... ok
test_read (__main__.FileShimChecks) ... ok
test_read_write (__main__.FileShimChecks) ... FAIL
test_write (__main__.FileShimChecks) ... FAIL
test_fromstring (__main__.FloatChecks) ... ok
test_as (__main__.IntChecks) ... ok
test_check (__main__.IntChecks) ... ok
test_check_exact (__main__.IntChecks) ... ok
test_from (__main__.IntChecks) ... ok
test_type (__main__.IntChecks) ... ok
test_asstring (__main__.StringChecks) ... ok
test_asutf8 (__main__.StringChecks) ... ok
test_asutf8andsize (__main__.StringChecks) ... ok
test_asutf8string (__main__.StringChecks) ... ok
test_check (__main__.StringChecks) ... ok
test_check_exact (__main__.StringChecks) ... ok
test_concat (__main__.StringChecks) ... ok
test_decode (__main__.StringChecks) ... ok
test_format (__main__.StringChecks) ... ok
test_fromformat (__main__.StringChecks) ... ok
test_fromstring (__main__.StringChecks) ... ok
test_fromstringandsize (__main__.StringChecks) ... ok
test_internfromstring (__main__.StringChecks) ... ok
test_interninplace (__main__.StringChecks) ... ok
test_type (__main__.StringChecks) ... ok
test_all_comparisons (__main__.TypeChecks) ... ok
test_number (__main__.TypeChecks) ... ok
test_number_int_equality (__main__.TypeChecks) ... ok
test_number_number_equality (__main__.TypeChecks) ... ok
test_return_notimplemented (__main__.TypeChecks) ... ok
======================================================================
FAIL: test_read_write (__main__.FileShimChecks)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py3c-0.6/test/__main__.py", line 306, in test_read_write
    self.assertEqual(val, "hello")
AssertionError: 'hello\x00y3c\x00r\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\x06D\x0f\xd9\xe8c\roa\x00\x00\x00\x01pyfile\x00e\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\x0b\x80\xbb\xdd\xe0\x17F\xb2\x95\x00\x00\x00\x01file_fwrite\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\t\x1b\xc8-\x8d7\x97\xa0K\x00\x00\x00\x01makeSuite\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\n0\xc2\x90\xb27\xf28\x1b\x00\x00\x00\x01file_fse' != 'hello'
======================================================================
FAIL: test_write (__main__.FileShimChecks)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/py3c-0.6/test/__main__.py", line 321, in test_write
    self.assertEqual(pyfile.read(), 'hello')
AssertionError: 'hello\x00y3c\x00r\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\x06D\x0f\xd9\xe8c\roa\x00\x00\x00\x01pyfile\x00e\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\x0b\x80\xbb\xdd\xe0\x17F\xb2\x95\x00\x00\x00\x01file_fwrite\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\t\x1b\xc8-\x8d7\x97\xa0K\x00\x00\x00\x01makeSuite\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x04\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\n0\xc2\x90\xb27\xf28\x1b\x00\x00\x00\x01file_fseek\x00\x00\x00\x00\x00\x00\x00\x00\x00\x05\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\n>\xa2\xd9Y0QAS\x00\x00\x00\x01file_fread\x00\x00\x00\x00\x00\x00\x00\x00\x00\x03\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\x0b\xd0\x06\xe2\xf5;_\x91K\x00\x00\x00\x01TestProgram\x00\x00\x00\x00\x00\x00\x00\x00\x06\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\t\xe0\xf1t\xcbez\x1f\x12\x00\x00\x00\x01test_read\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\n\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\n2\x9c\x8eA\xfcZ[\xa6\x00\x00\x00\x01__unittest\x00\x00\x00\x00\x00\x00\x00\x00\x00\t\x00\x00?\xff\x92\x15\x7f\x80\x00\x00\x00\x00\x00\x00\x00\x04K\xf5\\3n\xd0m`\x00\x00\x00\x01case\x00t\x00qual\x00\x00\x00\x00
...
<lots of similar data follows>
...



see http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3502137 or http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2267537 for full logs


Version-Release number of selected component (if applicable):
py3c-0.6-2.fc25

Comment 1 Petr Viktorin 2016-07-05 17:06:05 UTC
This is indeed a failure in the test suite only. Thank you for reporting, will fix.

Comment 2 Petr Viktorin 2016-07-05 18:27:16 UTC
Packaged version 0.7 which should solve this problem: http://koji.fedoraproject.org/koji/taskinfo?taskID=14780016

Please let me know if you need this in earlier Fedoras than rawhide, or if this does not fix the problem.

Comment 3 Dan Horák 2016-07-07 09:44:02 UTC
Thanks, builds are now passing, please do updates also in F-23 and F-24.

Comment 4 Fedora Update System 2016-07-07 11:52:05 UTC
py3c-0.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f84db8540

Comment 5 Fedora Update System 2016-07-07 12:02:42 UTC
py3c-0.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7335aa260e

Comment 6 Fedora Update System 2016-07-10 03:53:45 UTC
py3c-0.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7335aa260e

Comment 7 Fedora Update System 2016-07-10 15:59:36 UTC
py3c-0.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f84db8540

Comment 8 Fedora Update System 2016-07-12 15:03:50 UTC
py3c-0.7-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-07-18 20:52:54 UTC
py3c-0.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.